package com.example.vladci;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class SeznamFragment extends ListFragment {

	protected static String[] names = new String[] { "Sámo", "Svatopluk I.",
			"sv. Václav", "Přemysl Otakar I.", "Přemysl Otakar II.",
			"Karel IV.", "Václav IV.", "Jiří z Poděbrad", "Rudolf II.",
			"Václav Klaus" };

	private OnRulerSelectedListener mOnRulerSelectedListener;

	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);
		Context ctx = getActivity();
		setListAdapter(new ArrayAdapter<String>(ctx, R.layout.name, names));
	}

	@Override
	public void onAttach(Activity activity) {
		super.onAttach(activity);
		// Donutíme kontejnerovou Activitu implementovat naše rozhraní
		try {
			mOnRulerSelectedListener = (OnRulerSelectedListener) activity;
		} catch (ClassCastException e) {
			throw new ClassCastException(activity.toString()
					+ " must implement OnRulerSelectedListener");
		}
	}

	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		// Chytře se zbavíme zodpovědnosti za vybrání nějakého vládce
		mOnRulerSelectedListener.onRulerSelected(position);
	}

	public interface OnRulerSelectedListener {
		public void onRulerSelected(int index);
	}
}
