package com.example.vladci;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTransaction;

public class VladciActivity extends FragmentActivity implements
		SeznamFragment.OnRulerSelectedListener {

	private boolean mDualPane;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.vladci);

		// Pokud je dostupné View s id detail, je layout dvousloupcový
		mDualPane = findViewById(R.id.detail) != null;
	}

	@Override
	public void onRulerSelected(int index) {
		if (mDualPane) { // Dvousloupcový layout
			DetailFragment f = DetailFragment.newInstance(index);

			FragmentTransaction ft = getSupportFragmentManager()
					.beginTransaction();
			ft.replace(R.id.detail, f);
			// Voláním FragmentTransaction.addToBackStack dosáhneme toho,
			// že při stisknutí tlačítka zpět se Fragment vymění s tím,
			// co v R.id.detail bylo předtím (jiný DetailFragment nebo nic).
			ft.addToBackStack(null);
			ft.commit();
		} else { // Jednosloupcový layout
			Intent i = new Intent(this, DetailActivity.class);
			i.putExtra(DetailActivity.INDEX, index);
			startActivity(i);
		}
	}
}